Bug 873647 - inst.repo=hd:<device>:/path is not used as repository
Summary: inst.repo=hd:<device>:/path is not used as repository
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-06 12:04 UTC by Michal Kovarik
Modified: 2014-02-05 12:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 12:52:51 UTC
Type: Bug


Attachments (Terms of Use)
anaconda.log (5.25 KB, text/plain)
2012-11-06 12:04 UTC, Michal Kovarik
no flags Details
packaging.log (2.26 KB, text/plain)
2012-11-07 08:18 UTC, Michal Kovarik
no flags Details
program.log (41.46 KB, text/plain)
2012-11-07 08:18 UTC, Michal Kovarik
no flags Details

Description Michal Kovarik 2012-11-06 12:04:46 UTC
Created attachment 639318 [details]
anaconda.log

Description of problem:
I've tried installation from hard drive, system booted with inst.repo=hd:/dev/sdb1:/, install.img was used from partition sdb1 successfully, but as installation source is selected 'Closest mirror', and I can't select source from hard drive

Version-Release number of selected component (if applicable):
Fedora-18-Beta-TC7
anaconda-18.24-1.fc18

How reproducible:
Always

Steps to Reproduce:
1. copy content of DVD to native partition
2. start installation with inst.repo=hd:<device>:/path
3. check installation source
  
Actual results:
Closest mirror

Expected results:
selected partiton

Additional info:

Comment 1 Chris Lumens 2012-11-06 16:51:33 UTC
Please also attach /tmp/packaging.log and /tmp/program.log.  Thanks.

Comment 2 Michal Kovarik 2012-11-07 08:18:10 UTC
Created attachment 639899 [details]
packaging.log

Comment 3 Michal Kovarik 2012-11-07 08:18:40 UTC
Created attachment 639900 [details]
program.log

Comment 4 Chris Lumens 2012-11-07 15:22:47 UTC
Oh, one sec - step #1 from above reads:

1. copy content of DVD to native partition

Did you copy the contents of the DVD to a partition, or did you copy the DVD image itself to the partition?

Comment 5 Michal Kovarik 2012-11-07 21:16:07 UTC
Oh, sorry my mistake. Of course I copied contents of the DVD. I was confused from http://wwoods.fedorapeople.org/doc/boot-options.html#_inst_repo :
inst.repo=hd:<device>:<path>
  Mount the given disk partition and install from the given path. 

It works for inst.stage2, so I suppose that it could work for inst.repo too.

Comment 6 Chris Lumens 2012-11-07 21:23:54 UTC
Ah, those docs should be changed then.  anaconda does not support installing from an exploded image on a hard drive, only from an ISO image.

Comment 7 John Reiser 2013-06-15 17:34:29 UTC
(In reply to Chris Lumens from comment #6)
>  anaconda does not support installing from an exploded image on a hard drive, only from an ISO image.

I suffer this in Fedora 19 Final TC3 (anaconda-19.30.5-1), and it means that the result of putting a .iso onto USB flash memory via
  livecd-iso-to-disk Fedora-19-Final-TC3-i386-DVD.iso /dev/sdc1
is not usable as installation source when booting with
  root=live:LABEL=LIVE  inst.stage2=hd:UUID=<uuid>
or 
  root=live:LABEL=LIVE  inst.stage2=hd:LABEL=LIVE
The system boots and the installer starts just fine, but anaconda does not locate the repo which is on the USB flash memory, and the Installation Source spoke offers no file:// option to specify the repo manually.

I want to use one of these because I cannot boot from USB, but I do have a spare partition to put copies of vmlinuz and initrd.img, and can boot those via custom grub stanza.  I suppose that forces the use of physical DVD unless I can find 4.7GB of space on harddrive to hold the full .iso.  Grumble.

Comment 8 John Reiser 2013-06-15 18:06:25 UTC
Booting from physical DVD does work with "inst.stage2=hd:LABEL=LIVE" which specifies the USB flash memory partition, and the installer does locate the repo on the USB partition, and gets all the packages from there.  I don't understand why a kernel from DVD should be any better than a kernel from a disk partition.

Comment 9 Fedora End Of Life 2013-12-21 09:17:47 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2014-02-05 12:52:54 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.